#
# spec file for package mgr-custom-info
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2008-2018 Red Hat, Inc.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?fedora} || 0%{?suse_version} > 1320 || 0%{?rhel} >= 8
%global build_py3   1
%endif

Name:           mgr-custom-info
Summary:        Set and list custom values for Spacewalk-enabled machines
License:        GPL-2.0-only
Group:          Applications/System
Version:        4.2.1
# 5.4.43.2 was the last version+1 before renaming to mgr-custom-info
Provides:       rhn-custom-info = 5.4.44
Obsoletes:      rhn-custom-info < 5.4.44
Release:    1.9.1
Source0: mgr-custom-info-git-0.0daba5b.tar.gz
Url:            https://github.com/uyuni-project/uyuni
%if 0%{?fedora} || 0%{?rhel} || 0%{?suse_version} >= 1210
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?build_py3}
BuildRequires:  python3-devel
Requires:       python3-rhnlib
%else
BuildRequires:  python-devel
Requires:       rhnlib
%endif

%if 0%{?fedora} || 0%{?rhel} >= 8
Requires:       dnf-plugin-spacewalk
%else
%if 0%{?suse_version}
Requires:       zypp-plugin-spacewalk
# provide rhn directories for filelist check
BuildRequires:  spacewalk-client-tools
%else
Requires:       yum-rhn-plugin
%endif
%endif

%description
Allows for the setting and listing of custom key/value pairs for
an Spacewalk-enabled system.

%prep
%setup -q -n mgr-custom-info-git-0.0daba5b

%build
make -f Makefile.rhn-custom-info all
%if 0%{?build_py3}
    sed -i 's|#!/usr/bin/python|#!/usr/bin/python3|' *.py
%endif

%install
install -d $RPM_BUILD_ROOT
%global pypath %{?build_py3:%{python3_sitelib}}%{!?build_py3:%{python_sitelib}}
make -f Makefile.rhn-custom-info install PREFIX=$RPM_BUILD_ROOT ROOT=%{pypath}
install -d $RPM_BUILD_ROOT%{_mandir}/man8/
install -m 644 rhn-custom-info.8 $RPM_BUILD_ROOT%{_mandir}/man8/
%if 0%{?suse_version}
ln -s rhn-custom-info $RPM_BUILD_ROOT/%{_bindir}/mgr-custom-info
%endif

%files
%defattr(-,root,root,-)
%{pypath}/custominfo/
%{_bindir}/*-custom-info
%doc LICENSE
%{_mandir}/man8/rhn-custom-info.*

%changelog
* Fri Sep 18 2020 jgonzalez@suse.com
- version 4.2.1-1
- Update package version to 4.2.0
* Wed Nov 27 2019 jgonzalez@suse.com
- version 4.1.1-1
- Bump version to 4.1.0 (bsc#1154940)
* Wed May 15 2019 jgonzalez@suse.com
- version 4.0.5-1
- Obsolete newer versions of rhn-custom-info
* Wed May 15 2019 jgonzalez@suse.com
- version 4.0.4-1
- SPEC cleanup
- Fix wrong bugzilla entry at changelog
* Mon Apr 22 2019 jgonzalez@suse.com
- version 4.0.3-1
- add makefile and pylint configuration
* Fri Oct 26 2018 jgonzalez@suse.com
- version 4.0.2-1
- Add Uyuni URL to package
* Fri Aug 10 2018 jgonzalez@suse.com
- version 4.0.1-1
- Bump version to 4.0.0 (bsc#1104034)
- Rename package to mgr-custom-info to allow version 4.0.0 (bsc#1104034)
- Fix copyright for the package specfile (bsc#1103696)
* Mon Mar  5 2018 jgonzalez@suse.com
- version 5.4.43.2-1
- remove empty clean section from spec (bsc#1083294)
* Fri Feb 23 2018 jgonzalez@suse.com
- version 5.4.43.1-1
- Sync with upstream
* Thu Oct 26 2017 mc@suse.de
- version 5.4.41.1-1
- build with python3 when needed
* Mon Mar  6 2017 mc@suse.de
- version 5.4.33.2-1
- Updated links to github in spec files
* Wed Jan 11 2017 michele.bologna@suse.com
- version 5.4.33.1-1
- Version bump to 5.4.33
* Wed Oct  7 2015 mc@suse.de
- version 5.4.28.1-1
- Bump version
* Tue Feb  3 2015 mc@suse.de
- version 5.4.22.6-1
- Getting rid of Tabs and trailing spaces
* Thu Dec 18 2014 mc@suse.de
- version 5.4.22.5-1
* Wed Sep  3 2014 ro@suse.de
- sanitize release line in specfile
* Tue May  6 2014 mc@suse.de
- version 5.4.22.4-1
- rhn-custom-info fix man page
* Thu Apr 10 2014 mc@suse.de
- version 5.4.22.3-1
* Thu Apr 10 2014 mc@suse.de
- fix release in specfile for SLE12 (bnc#872970)
* Thu Mar 27 2014 fcastelli@suse.com
- version 5.4.22.2-1
- Don't print newline after 'Username:' prompt
* Thu Feb 27 2014 fcastelli@suse.com
- version 5.4.22.1-1
- Custom info with empty value added
* Tue Dec 10 2013 mc@suse.de
- version 5.4.21.1-1
- switch to 2.1
* Wed Mar 21 2012 mc@suse.de
- version 5.4.14.1-1
- Bumping package version
* Mon Feb 14 2011 ma@suse.de
- Fix specfile; don't require up2date on SLE
* Mon Feb  7 2011 ma@suse.de
- Symlink added.
* Thu Feb  3 2011 ma@suse.de
- Remove unneeded requirement to yum-rhn-plugin (bnc #667924)
* Tue Jan 11 2011 mc@suse.de
- tag strings which needs to be changed
* Tue Sep 14 2010 mantel@suse.de
- Initial release of rhn-custom-info
